import Blockly from "blockly";
import { getColour } from "../helpers/colour";
import * as Types from "../helpers/types";
import { selectedBoard } from "../helpers/board";
import { FieldGridDropdown } from "@blockly/field-grid-dropdown";

/**
 * DS18B20 Temperatursonde
 *
 */
Blockly.Blocks["CleVerLab_dummy1"] = {
 init: function () {
    this.setColour(getColour().cleverlab);
    this.appendDummyInput()
        .appendField("tut nichts")
    this.setOutput(true, Types.NUMBER.typeName);
    this.data = {name: "empty"};
},
};


Blockly.Blocks["CleVerLab_temperature"] = {
  init: function () {
    this.setColour(getColour().cleverlab);
    this.appendDummyInput()
      .appendField("Temperatur")
      .appendField("Digital Port:")
      .appendField(new Blockly.FieldDropdown(selectedBoard().digitalPorts), "DigitalPin");
    this.setOutput(true, Types.NUMBER.typeName);
    this.data = {name: "ds18b20"};
  },
};
/**
 * PH Wert
 *
 */
Blockly.Blocks["CleVerLab_pH"] = {
  init: function () {

    this.setColour(getColour().cleverlab);
    this.appendDummyInput()
      .appendField("pH Wert")
      .appendField("Digital Port:")
      .appendField(new Blockly.FieldDropdown(selectedBoard().digitalPins), "DigitalPin");
    this.setOutput(true, Types.NUMBER.typeName);
    this.data = {name: "phoderso"};
  },
};
Blockly.Blocks["CleVerLab_cali1"] = {
    init: function () {
        this.appendDummyInput()
            .appendField("Kalibriere pH Sensor");
        this.appendValueInput("VAR1", "Number")
            .appendField("Referenzlösung pH 4.00 =")
            .setAlign(Blockly.ALIGN_RIGHT);
        this.appendValueInput("VAR2", "Number2")
            .appendField("Referenzlösung pH 7.00 =")
            .setAlign(Blockly.ALIGN_RIGHT);
        this.setPreviousStatement(true, null);
        this.setNextStatement(true, null);
        this.setColour(getColour().cleverlab);
        this.setOutput(true, Types.NUMBER.typeName);
        this.data = {name: "dsasda"};
    },
};

/**
 * Pump
 *
 */
Blockly.Blocks['CleVerLab_pump'] = {
  init: function() {
    this.setColour(getColour().cleverlab);
        var dropdown = new Blockly.FieldDropdown([
          [ 'START','HIGH'],
          [ 'STOPP','LOW']
        ]);
    this.appendDummyInput()
        .appendField(dropdown, "Mode")
        .appendField(" Pumpe ")
        .appendField(new Blockly.FieldDropdown(selectedBoard().digitalPins), "DigitalPin");
    this.setPreviousStatement(true, null);
    this.setNextStatement(true, null);
    //this.setOutput(true, "Number");
    this.setTooltip('');
    this.setHelpUrl('');
  }
};
